## org.eclipse.emf.codegen.ecore.generator
Interface GeneratorAdapterFactory.Descriptor

Enclosing interface:
  GeneratorAdapterFactory

    public static interface GeneratorAdapterFactory.Descriptor

In essence, a factory for generator adapter factories. `Descriptor`s are stored in a `Registry` and create a particular type of `GeneratorAdapterFactory`, providing an additional level of indirection that allows multiple `Generator`s to share a single registry and supports extension-point-based registration with deferred class loading.

Nested Class Summary
`static class` `GeneratorAdapterFactory.Descriptor.DelegatingRegistry` A simple `Registry` implementation, in which `getDescriptors(String)` can delegate to another `Registry` if no descriptors are locally registered against the given package ID.
`static interface` `GeneratorAdapterFactory.Descriptor.Registry` A registry of `Descriptor`s.

Method Summary
`GeneratorAdapterFactory` `createAdapterFactory()` Creates and returns an instance of a particular type of `GeneratorAdapterFactory`.

Method Detail

### createAdapterFactory

    GeneratorAdapterFactory createAdapterFactory()

  Creates and returns an instance of a particular type of `GeneratorAdapterFactory`. A new instance should be returned on each invocation.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.